Bug 1565356 - user/group openvswitch does not exist
Summary: user/group openvswitch does not exist
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openvswitch
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothy Redaelli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 21:43 UTC by Alan Pevec (Fedora)
Modified: 2018-05-04 14:16 UTC (History)
6 users (show)

Fixed In Version: openvswitch-2.9.0-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-04 14:16:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Alan Pevec (Fedora) 2018-04-09 21:43:40 UTC
Description of problem:
Fix for bug 1489465 backported upstream .spec.in template change[1]
which changed default ownership of config files which is failing on a fresh empty system:
# yum install openvswitch
...
  Installing       : openvswitch-2.9.0-3.fc28.x86_64                      18/20 
  Running scriptlet: openvswitch-2.9.0-3.fc28.x86_64                      18/20 
warning: user openvswitch does not exist - using root
warning: group openvswitch does not exist - using root
warning: user openvswitch does not exist - using root
warning: group openvswitch does not exist - using root
warning: user openvswitch does not exist - using root
warning: group openvswitch does not exist - using root
...

Required user/group need to be created in %pre as documented in Fedora guideline[2]

Version-Release number of selected component (if applicable):
openvswitch-2.9.0-3.fc28


How reproducible:
Always on a fresh system.

Actual results:
Warning messages during installation:

warning: user openvswitch does not exist - using root
warning: group openvswitch does not exist - using root
...

Expected results:
No warning messages during installation.


[1] https://github.com/openvswitch/ovs/commit/951d79e638ecdb3b1dcd19df1adb2ff91fe61af8

[2] https://fedoraproject.org/wiki/Packaging:UsersAndGroups#Dynamic_allocation

Comment 1 Alan Pevec (Fedora) 2018-04-09 22:53:29 UTC
Proposed .spec.in change upstream https://github.com/openvswitch/ovs/pull/223

Comment 2 Timothy Redaelli 2018-04-10 07:14:13 UTC
Thank you for the upstream patch, unfortunately upstream doesn't accept pull requests, but you need to use "git send-mail" (a similar approach used for linux kernel).

http://docs.openvswitch.org/en/latest/internals/contributing/submitting-patches/

Comment 3 Aaron Conole 2018-04-10 13:20:04 UTC
I've contacted alan separately at apevec@gmail.com - I have a change proposed to the pull request, but otherwise I agree with it.  If Alan agrees, I can submit with his signoff and my co-author


Note You need to log in before you can comment on or make changes to this bug.